Loading...
Searching...
No Matches
gx_engine::ParameterGroups Class Reference

`#include <gx_parameter.h>`

## Public Member Functions

| ParameterGroups ()
| ~ParameterGroups ()
string | get (const string &id)
string | operator[] (const string &id)
void | insert (const string &id, const string &group)
bool | group_exist (const string &id)
void | erase (const string &id)
void | dump ()

## Private Member Functions

void | group_exists (const string &id)
void | group_is_new (const string &id)

## Private Attributes

map< string, string > | groups
map< string, bool > | used

## Friends

string | param_group (const string &group_id, bool nowarn=false)

## Detailed Description

Definition at line 47 of file gx_parameter.h.

## Constructor & Destructor Documentation

## ParameterGroups()

gx_engine::ParameterGroups::ParameterGroups | ( |  | ) |

## ~ParameterGroups()

gx_engine::ParameterGroups::~ParameterGroups | ( |  | ) |

## Member Function Documentation

## dump()

void gx_engine::ParameterGroups::dump | ( |  | ) |

## erase()

void gx_engine::ParameterGroups::erase | ( | const string & | id | ) |

inline

Definition at line 72 of file gx_parameter.h.

## get()

string gx_engine::ParameterGroups::get | ( | const string & | id | ) |

inline

Definition at line 62 of file gx_parameter.h.

## group_exist()

bool gx_engine::ParameterGroups::group_exist | ( | const string & | id | ) |

Referenced by erase().

## group_exists()

void gx_engine::ParameterGroups::group_exists | ( | const string & | id | ) |

private

Referenced by operator[]().

## group_is_new()

void gx_engine::ParameterGroups::group_is_new | ( | const string & | id | ) |

private

Referenced by insert().

## insert()

void gx_engine::ParameterGroups::insert | ( | const string & | id,
|  | const string & | group )

inline

Definition at line 67 of file gx_parameter.h.

## operator[]()

string gx_engine::ParameterGroups::operator[] | ( | const string & | id | ) |

inline

Definition at line 63 of file gx_parameter.h.

## Friends And Related Symbol Documentation

## param_group

string param_group | ( | const string & | group_id,
|  | bool | nowarn = false )

friend

## Member Data Documentation

## groups

map<string, string> gx_engine::ParameterGroups::groups

private

Definition at line 49 of file gx_parameter.h.

Referenced by erase(), get(), insert(), and operator[]().

## used

map<string, bool> gx_engine::ParameterGroups::used

private

Definition at line 52 of file gx_parameter.h.

The documentation for this class was generated from the following file:

- src/headers/gx_parameter.h